Subject: Re: Another compatibility hurdle: New RSVP usage specification

From: Don Hoffman <[email-masked]>
Date: Tue, 26 Nov 1996 15:30:50 -0800 (PST)

I can only weigh in with one viewpoint.  The proposed changes make future
evolution much smoother.  A flag day today would save much headache later
on.  The bulk of RSVP use today is in test labs with fewer than 1/2 dozen
nodes and stuff from 3 or less vendors, so upgrading is only a few hours of
work.  Even those involved in larger-scale trials would be short-sighted to
not make the change now, rather than at the inevitable point when we try to
introduce new TSpec and Adpec formats.

I vote for a flag day shortly after IETF.  A target date N months out, for
values of N > 1 WILL start to run in to larger scale trials.  If we don't do
it soon, then things WILL be too far along to add new service-specific
parameters.

Don

>From: [email-masked]
>
>What strategy should we use?  Update everthing ASAP?  Set a target
>date n months in the future to make a transition?
>
>Bob Braden
>
>
>

---

From: [email-masked]
Date: Tue, 26 Nov 96 16:10:59 PST

*> 
  *> I vote for a flag day shortly after IETF.  A target date N months out, for
  *> values of N > 1 WILL start to run in to larger scale trials.  If we don't do
  *> it soon, then things WILL be too far along to add new service-specific
  *> parameters.
  *> 
  *> Don
  *> 
  *> 

Don,

I have no objection.  The only practical issue is to recall that "there
is no December" when we decide on a date "shortly after IETF".

Bob

---

From: Karl Auerbach <[email-masked]>
Date: Wed, 27 Nov 1996 21:51:26 -0800 (PST)

> >So... where should I be looking?
> 
> the rsvp-use note describes the intserv-defined things that go inside RSVP

I didn't look hard enough at the -01 version of the use document.  When
Bob said "look again", I did and was rather embarrassed to find the new
Appendix A, that had everything I needed to finish my code update.

		--karl--

---

From: Mark Baugher <[email-masked]>
Date: Mon, 02 Dec 1996 16:16:38 -0800

>is no December" when we decide on a date "shortly after IETF".
There's now a complicated process involved in sync'ing spec changes
between host and router, and then testing the implementation with
application software.  I agree with Don that this is best done 
sooner rather than later, and I guess January is the soonest.
I polled some of our engineering and test people here, and we would
like to have these changes completed in January.  We need to
know if the routing vendors will make the changes early in
January.

Mark

---

From: [email-masked]
Date: Mon, 2 Dec 96 16:35:01 PST

*> >
  *> >
  *> There's now a complicated process involved in sync'ing spec changes
  *> between host and router, and then testing the implementation with
  *> application software.  I agree with Don that this is best done 
  *> sooner rather than later, and I guess January is the soonest.
  *> I polled some of our engineering and test people here, and we would
  *> like to have these changes completed in January.  We need to
  *> know if the routing vendors will make the changes early in
  *> January.
  *> 
  *> Mark
  *> 
  *> 

There will be a 5-minute agenda item in the RSVP WG meeting to
pick a target red-letter day.

Bob

---

From: [email-masked] (Fred Baker)
Date: Mon, 2 Dec 1996 18:24:05 -0800

At 4:16 PM 12/2/96, Mark Baugher wrote:
>We need to

It sounds like we'll need to. I have one request: let's have this be the
last change. We haven't made semantic changes to anything here in a really
long time, we've just played shell games with the bits. Let's stop
monkeying around.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
I don't suffer from insanity.  I enjoy every minute of it.